LibreOffice: XSLTTransformer Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XSLTTransformer Service Reference

Get unspecified XSLT filter transformer. More...

`import"XSLTTransformer.idl";`

Inheritance diagram for XSLTTransformer:

## Public Member Functions
| create ([in] sequence< any > args)
Public Member Functions inherited from XActiveDataControl
void | addListener ([in] com::sun::star::io::XStreamListener aListener)
| registers an object to receive events from this data source. More...
void | removeListener ([in] com::sun::star::io::XStreamListener aListener)
| unregisters an object to receive events from this data source. More...
void | start ()
| starts I/O. More...
void | terminate ()
| does a weak abort. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XActiveDataSink
void | setInputStream ([in] com::sun::star::io::XInputStream aStream)
| plugs the input stream. More...
com::sun::star::io::XInputStream | getInputStream ()
Public Member Functions inherited from XActiveDataSource
void | setOutputStream ([in] com::sun::star::io::XOutputStream aStream)
| plugs the output stream. More...
com::sun::star::io::XOutputStream | getOutputStream ()
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Additional Inherited Members
Exported Interfaces inherited from XXSLTTransformer
interface | com::sun::star::io::XActiveDataControl
interface | com::sun::star::io::XActiveDataSink
interface | com::sun::star::io::XActiveDataSource
interface | com::sun::star::lang::XInitialization

## Detailed Description

Get unspecified XSLT filter transformer.

It is not safe to expect support for any features except XSLT 1.0 .

Since
  LibreOffice 4.0

## Member Function Documentation

create | ( | [in] sequence< any > | args | ) |

The documentation for this service was generated from the following file:

- com/sun/star/xml/xslt/XSLTTransformer.idl